Nomod
Customers/Create Customer

Create Customer

posthttps://api.nomod.com/v1/customers

Create a new contact with the given details.

curl -X POST 'https://api.nomod.com/v1/customers' \
  -H 'X-API-KEY: $NOMOD_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
    "first_name": "string",
    "last_name": "string",
    "email": "string",
    "phone_number": "string",
    "business_name": "string",
    "job_title": "string",
    "country": "string",
    "province": "00000000-0000-0000-0000-000000000000",
    "street": "string",
    "city": "string",
    "zip_code": "string"
  }'

Request body

first_namestring

First name

Max length: 150

last_namestring

Last name

Max length: 150

emailstring <email>

Email address.

phone_numberstring

Phone e.g., +971500123456.

Max length: 15

business_namestring

Business name.

Max length: 50

job_titlestring

Job Title

Max length: 50

countrystring

Country code. get it from /countries endpoint

Max length: 2

provincestring <uuid>

Province ID. get it from /provinces endpoint

streetstring

Street address

Max length: 100

citystring

City name.

Max length: 100

zip_codestring

Zip/Postal code.

Max length: 16

Responses

idstring <uuid>requiredread-only
createdstring <date-time>requiredread-only
first_namestringrequiredread-only
last_namestringrequiredread-only
business_namestringrequiredread-only
job_titlestringrequiredread-only
provinceintegerrequiredread-only
citystringrequiredread-only
streetstringrequiredread-only
zip_codestringrequiredread-only
countrystring
emailstring <email>requiredread-only
phone_numberstringrequiredread-only

Example response

{
  "id": "00000000-0000-0000-0000-000000000000",
  "created": "2026-01-01T00:00:00Z",
  "first_name": "string",
  "last_name": "string",
  "business_name": "string",
  "job_title": "string",
  "province": 0,
  "city": "string",
  "street": "string",
  "zip_code": "string",
  "country": "string",
  "email": "string",
  "phone_number": "string"
}